# Class yii\apidoc\helpers\IndexFileAnalyzer

Inheritance | yii\apidoc\helpers\IndexFileAnalyzer » cebe\markdown\Markdown
Source Code | https://github.com/yiisoft/yii2-apidoc/blob/master/helpers/IndexFileAnalyzer.php

IndexFileAnalyzer analyzes index file with TOC. Typically README.md.

## Public Properties

Hide inherited properties

Property | Type | Description | Defined By
--- | --- | --- | ---
$introduction |  |  | yii\apidoc\helpers\IndexFileAnalyzer
$title |  |  | yii\apidoc\helpers\IndexFileAnalyzer

## Public Methods

Hide inherited methods

Method | Description | Defined By
--- | --- | ---
analyze() | Parses text and returns list of chapters got from it | yii\apidoc\helpers\IndexFileAnalyzer

## Protected Methods

Hide inherited methods

Method | Description | Defined By
--- | --- | ---
renderHeadline() |  | yii\apidoc\helpers\IndexFileAnalyzer
renderList() |  | yii\apidoc\helpers\IndexFileAnalyzer
renderParagraph() |  | yii\apidoc\helpers\IndexFileAnalyzer

## Property Details

$introduction public property
public $introduction = null
$title public property
public $title = null

## Method Details

analyze() public method

Parses text and returns list of chapters got from it

public array analyze ( $text )
$text | string |

renderHeadline() protected method

protected void renderHeadline ( $block )
$block |  |

renderList() protected method

protected void renderList ( $block )
$block |  |

renderParagraph() protected method

protected void renderParagraph ( $block )
$block |  |